Style Presets

Use style presets to customize the look and feel of your generated images.

Understanding style presets

Firefly offers a collection of style presets to use with the Generate Images API that can give generated images a specific visual style or mood. By indicating these presets in the API request, you have more control, beyond the prompt, to create image variations.

Style presets are defined in the presets array in the Generate Images API request. All presets in the array apply to the generated image. To influence the impact of the presets, add or adjust the strength value.

data-slots=heading, code
data-languages=JSON
Request parameter for presets
// ... API request cURL ...
--data '{
    "prompt": "a puppy dressed as a renaissance artist",
    "numVariations": 4,
    "style": {
        // array of style presets for image variations
        "presets": [
            "bw", "fantasy", "dramatic_light"
        ],
        "strength": 100
    }
}'

Style Presets examples

Here are the style presets available and examples of the images they generate. Use these presets, in snake_case, in the API request.

Graphic graphic
Wireframe wireframe
Vector look vector_look
Black and white bw
Cool tone cool_colors
Golden golden
Monochromatic monochromatic
Muted color muted_color
Pastel color pastel_color
Toned image toned_image
Vibrant colors vibrant_colors
Warm tone warm_tone
Closeup closeup
Knolling knolling
Landscape photography landscape_photography
Macrophotography macrophotography
Photographed through window photographed_through_window
Shallow depth of field shallow_depth_of_field
Shot from above shot_from_above
Shot from below shot_from_below
Surface detail surface_detail
Wide angle wide_angle
Beautiful beautiful
Bohemian bohemian
Chaotic chaotic
Dais dais
Divine divine
Eclectic eclectic
Futuristic futuristic
Kitschy kitschy
Nostalgic nostalgic
Simple simple
Antique photo antique_photo
Bioluminescent bioluminescent
Bokeh effect bokeh
Color explosion color_explosion
Dark dark
Faded image faded_image
Fisheye fisheye
Gomori photography gomori_photography
Grainy film grainy_film
Iridescent iridescent
Isometric isometric
Misty misty
Neon neon
Otherworldly depiction otherworldly_depiction
Ultraviolet ultraviolet
Underwater underwater
Backlighting backlighting
Dramatic light dramatic_light
Golden hour golden_hour
Harsh light harsh_light
Long-time exposure long
Low lighting low_lighting
Multiexposure multiexposure
Studio light studio_light
Surreal lighting surreal_lighting
3d patterns 3d_patterns
Charcoal charcoal
Claymation claymation
Fabric fabric
Fur fur
Guilloche patterns guilloche_patterns
Layered paper layered_paper
Marble marble_sculpture
Metal made_of_metal
Origami origami
Paper mache paper_mache
Polka-dot pattern polka
Strange patterns strange_patterns
Wood carving wood_carving
Yarn yarn
Art deco art_deco
Art nouveau art_nouveau
Baroque baroque
Bauhaus bauhaus
Constructivism constructivism
Cubism cubism
Cyberpunk cyberpunk
Fantasy fantasy
Fauvism fauvism
Film noir film_noir
Glitch art glitch_art
Impressionism impressionism
Industrial industrialism
Maximalism maximalism
Minimalism minimalism
Modern art modern_art
Modernism modernism
Neo-expressionism neo
Pointillism pointillism
Psychedelic psychedelic
Science fiction science_fiction
Steampunk steampunk
Surrealism surrealism
Synthetism synthetism
Synthwave synthwave
Vaporwave vaporwave
Acrylic paint acrylic_paint
Bold lines bold_lines
Chiaroscuro chiaroscuro
Color shift art color_shift_art
Daguerreotype daguerreotype
Digital fractal digital_fractal
Doodle drawing doodle_drawing
Double exposure double_exposure_portrait
Fresco fresco
Geometric pen geometric_pen
Halftone halftone
Ink ink
Light painting light_painting
Line drawing line_drawing
Linocut linocut
Oil paint oil_paint
Paint Spattering paint_spattering
Painting painting
Palette knife palette_knife
Photo manipulation photo_manipulation
Scribble texture scribble_texture
Sketch sketch
Splattering splattering
Stippling stippling_drawing
Watercolor watercolor
3d 3d
Anime anime
Cartoon cartoon
Cinematic cinematic
Comic book comic_book
Concept art concept_art
Cyber matrix cyber_matrix
Digital art digital_art
Flat design flat_design
Geometric geometric
Glassmorphism glassmorphism
Glitch graphic glitch_graphic
Graffiti graffiti
Hyper realistic hyper_realistic
Interior design interior_design
Line gradient line_gradient
Low poly low_poly
Newspaper collage newspaper_collage
Optical illusion optical_illusion
Pattern pixel pattern_pixel
Pixel art pixel_art
Pop art pop_art
Product photo product_photo
Psychedelic background psychedelic_background
Psychedelic wonderland psychedelic_wonderland
Scandinavian scandinavian
Splash images splash_images
Stamp stamp
Trompe l'oeil trompe_loeil

Concepts in action

Let's use style presets to generate a few image variations.

data-variant=warning
data-slots=heading, text
Before you start
You'll need a Firefly Client ID and Access Token for this exercise. Learn how to retrieve them in the Authentication Guide. Securely store these credentials and never expose them in client-side or public code.
  1. First, open a secure terminal and export your Client ID and Access Token as environment variables:
export FIREFLY_SERVICES_CLIENT_ID=<your_Client_ID>
export FIREFLY_SERVICES_ACCESS_TOKEN=<your_Access_Token>
  1. Next, make the request to the Generate Images API. We'll use a prompt for a Shakespearean puppy, and enter a few presets so that they apply together:
curl --location 'https://firefly-api.adobe.io/v3/images/generate-async' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header "x-api-key: $FIREFLY_SERVICES_CLIENT_ID" \
--header "Authorization: Bearer $FIREFLY_SERVICES_ACCESS_TOKEN" \
--data '{
    "prompt": "a puppy dressed as a renaissance artist",
    "numVariations": 4,
    "style": {
        "presets": [
            "bw", "fantasy", "dramatic_light"
        ]
    }
}'

The request returns a rapid response for the asynchronous job:

{   
    "jobId":"<YOUR_JOB_ID>",
    "statusUrl":"https://firefly-epo854211.adobe.io/v3/status/urn:ff:jobs:...",
    "cancelUrl":"https://firefly-epo854211.adobe.io/v3/cancel/urn:ff:jobs:..."
}
  1. Use the jobId to see the result:
data-variant=info
data-slots=heading, text
NOTE
The numVariations value creates four generated images that will be easy to compare. Four URLs are returned in the response.
curl -X GET "https://firefly-api.adobe.io/v3/status/<YOUR_JOB_ID>" \
    -H "x-api-key: $FIREFLY_SERVICES_CLIENT_ID" \
    -H "Authorization: Bearer $FIREFLY_SERVICES_ACCESS_TOKEN" \
    -H "Content-Type: application/json"

You'll see results similar to our example below. Notice that all the defined presets were applied to the prompt for a renaissance puppy!

Sample Result

A renaissance artist puppy generated with presets